#include "defines.h"
#include "ascsi.h"
#include <scsi.h>

int S_WriteProtect(unlong scsiid)
// そのドライブが書き込み禁止かどうかを調べる
{
#define	DATAS	0x3f
unchar buff[DATAS];
	// MODE SENSE データの要求
	if (S_MODESENSE(0x00,DATAS,scsiid,buff)==-1) {
		// ドライブが異常
		return(-1);
	}
	return(buff[2]&BIT7); // !=0:書き込み禁止,0=書き込み許可
}
